#!/bin/bash
# http://wxpython.org/
#
# til <rob DOT til DOT freedman AT googlemail DOT com>
CWD=`pwd`
set -e -u -x

name=wxpython
version=2.8.11.0

build=${build:-66.1}
arch=${arch:-i686}
#cpu=pentium-m
cpu=${cpu:-i686}

TMP=${TMP:-$CWD/tmp}
pkgname=$name-$version
package=$pkgname-$arch-$build

SRC_URL=http://downloads.sourceforge.net/wxpython
SRC_PKG=wxPython-src-$version.tar.bz2

PKG_DEP="atk,cairo,cxxlibs,e2fsprogs,expat,fontconfig,freetype,gcc,gcc-g++,glib2,glitz,gtk+2,libjpeg,libpng,libtiff,mesa,pango,pixman,python,sdl,wxgtk,xcb,xorg-libs,zlib"
PKG_SRC="http://zenwalk.pinguix.com/user-accounts/tilderb/extra/wxgtk/build-wxpython.sh
$SRC_URL/$SRC_PKG"

# check source exists
for url in $PKG_SRC;do [ ! -e ${url##*/} ] && wget -N -c $url; done

# prepare build directory
PKG=$TMP/$package
SRC=$TMP/$pkgname

[ -d $SRC ] && rm -fr $SRC
[ -d $PKG ] && rm -fr $PKG

mkdir -p $SRC $PKG/{install,usr/{src,doc}/$pkgname}

tar xf $CWD/$SRC_PKG --strip-components=1 -C $SRC
cd $SRC/wxPython
#patch -p2 -i $CWD/editra-ebmlib.diff
 python setup.py \
    WXPORT=gtk2 \
    UNICODE=1 \
    build install --root=$PKG
#python setup.py build_ext --inplace --debug || exit

(cd $PKG;find . )

# copy docs
cp -r docs/*  $PKG/usr/doc/$pkgname

# strip symbols
find $PKG | xargs -r file | grep "executable" | grep ELF | cut -f 1 -d : | xargs -r strip --strip-unneeded
find $PKG | xargs -r file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs -r strip --strip-unneeded
find $PKG | xargs -r file | grep "current ar archive" | cut -f 1 -d : | xargs -r strip -g

cat << EOC > ${PKG}/install/slack-desc
#       |-----handy-ruler------------------------------------------------------|
wxpython: wxPython (the Python bindings for the wxWidgets toolkit)
wxpython:
wxpython: wxWidgets lets developers create applications for Win32, Mac OS X,
wxpython: GTK+, X11, Motif, WinCE, and more using one codebase.
wxpython: This package contains the python bindings for wxwidgets built with
wxpython: the GTK+2.0 toolkit.
EOC

cp $CWD/build-wxpython.sh $CWD/editra-ebmlib.diff \
		$PKG/usr/src/$pkgname

cd $PKG
rootworker=$(which fakeroot 2>/dev/null) || { [ "$UID" != "0" ] && { echo "need fakeroot"; exit 1; } }
$rootworker /sbin/makepkg -l y -c n $CWD/$package.txz

cd $CWD
echo -n $PKG_DEP >$package.dep
#depfinder $PKG
echo "$PKG_SRC" >$package.src
md5sum $package.txz >$package.md5

